GDB (xrefs)

Public Member Functions | Static Public Member Functions | List of all members
gdb.command.frame_filters.InfoFrameFilter Class Reference
Inheritance diagram for gdb.command.frame_filters.InfoFrameFilter:

## Public Member Functions
def | __init__ (self)
def | print_list (self, title, frame_filters, blank_line)
def | invoke (self, arg, from_tty)
def | __init__ (self)
def | print_list (self, title, frame_filters, blank_line)
def | invoke (self, arg, from_tty)

## Static Public Member Functions
def | enabled_string (state)
def | enabled_string (state)

## Detailed Description

    List all registered Python frame-filters.

    Usage: info frame-filters

Definition at line 42 of file frame_filters.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.command.frame_filters.InfoFrameFilter.__init__ | ( |  | self | ) |

Definition at line 48 of file frame_filters.py.

Referenced by gdb.command.frame_filters.InfoFrameFilter.__init__().

## ◆ __init__() [2/2]

def gdb.command.frame_filters.InfoFrameFilter.__init__ | ( |  | self | ) |

Definition at line 48 of file frame_filters.py.

References gdb.command.frame_filters.InfoFrameFilter.__init__().

## Member Function Documentation

## ◆ enabled_string() [1/2]

def gdb.command.frame_filters.InfoFrameFilter.enabled_string | ( |  | state | ) |
| static

    Return "Yes" if filter is enabled, otherwise "No".

Definition at line 52 of file frame_filters.py.

Referenced by gdb.command.frame_filters.InfoFrameFilter.enabled_string(), gdb.command.pretty_printers.InfoPrettyPrinter.list_pretty_printers(), and gdb.command.frame_filters.InfoFrameFilter.print_list().

## ◆ enabled_string() [2/2]

def gdb.command.frame_filters.InfoFrameFilter.enabled_string | ( |  | state | ) |
| static

    Return "Yes" if filter is enabled, otherwise "No".

Definition at line 52 of file frame_filters.py.

References gdb.command.frame_filters.InfoFrameFilter.enabled_string().

## ◆ invoke() [1/2]

def gdb.command.frame_filters.InfoFrameFilter.invoke | ( |  | self,
|  |  | arg,
|  |  | from_tty
| ) |  |

Definition at line 84 of file frame_filters.py.

References gdb.command.frame_filters._complete_frame_filter_list(), gdb.command.frame_filters._complete_frame_filter_name(), gdb.command.frame_filters._do_enable_frame_filter(), gdb.command.frame_filters._enable_parse_arg(), gdb.command.frame_filters.InfoFrameFilter.invoke(), gdb.command.frame_filters.InfoFrameFilter.print_list(), gdb.frames.return_list(), and gdb.frames.set_enabled().

## ◆ invoke() [2/2]

def gdb.command.frame_filters.InfoFrameFilter.invoke | ( |  | self,
|  |  | arg,
|  |  | from_tty
| ) |  |

Definition at line 84 of file frame_filters.py.

References gdb.command.frame_filters.InfoFrameFilter.print_list().

Referenced by gdb.command.frame_filters.InfoFrameFilter.invoke().

## ◆ print_list() [1/2]

def gdb.command.frame_filters.InfoFrameFilter.print_list | ( |  | self,
|  |  | title,
|  |  | frame_filters,
|  |  | blank_line
| ) |  |

Definition at line 59 of file frame_filters.py.

References gdb.command.frame_filters.InfoFrameFilter.enabled_string(), gdb.frames.get_enabled(), and gdb.frames.get_priority().

Referenced by gdb.command.frame_filters.InfoFrameFilter.invoke(), and gdb.command.frame_filters.InfoFrameFilter.print_list().

## ◆ print_list() [2/2]

def gdb.command.frame_filters.InfoFrameFilter.print_list | ( |  | self,
|  |  | title,
|  |  | frame_filters,
|  |  | blank_line
| ) |  |

Definition at line 59 of file frame_filters.py.

References gdb.command.frame_filters.InfoFrameFilter.enabled_string(), gdb.frames.get_enabled(), gdb.frames.get_priority(), and gdb.command.frame_filters.InfoFrameFilter.print_list().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/command/frame_filters.py